#!/usr/bin/perl

use strict;
use warnings;

my $cutoff = time - (24*60*60*14);

my %out = ();

while (<>) {
  s/^url='(.*?)'//;
  my $u = fixup_url($1);
  $out{$u} = $_;
}

foreach my $url (sort keys %out) {
  print "url='$url'".$out{$url};
}
exit;

sub fixup_url {
  my $u = shift;
  $u =~ s/index\.(?:php|htm|html)$//;
  $u =~ s/\/$//;
  $u;
}

